## FediPhoto-Lineage Changelog

#### v7.4 Tuesday 24 September 2024

- default alt-text
- fixed a bug where status is posted without image
- other behind the scenes bugfixes
- updated dependencies
- updated translations: thanks translators!

#### v7.3 Tuesday 20 February 2024

- landscape layout
- lists in the app are now live updating themselves
- fix crash on Android 14 when turning on the location service
- updated dependencies
- updated translations: thanks translators!

#### v7.2 Tuesday 10 October 2023

- added possibility to remove exif data from images
- added possibility to compress images
- updated dependencies
- updated translations: thanks translators!

#### v7.1 Tuesday 18 July 2023

- added editable text description in preview
- added possibility to add content description (alt text) in preview
- updated dependencies
- updated translations: thanks translators!

#### v7.0 Tuesday 7 March 2023

- added OSM notes feature
- UI updated to Material Design v3
- updated translations: thanks translators!

#### v6.4 Tuesday 2 August 2022

- (re)added threads list to start new threads
- added pending queue feature
- fixed location service stop button bug
- fixed offline upload bug
- updated dependencies
- updated translations: thanks translators!

#### v6.3 Tuesday 14 June 2022

- added location service feature
- updated contributors list in README
- updated translations: thanks translators!

#### v6.2 Tuesday 31 May 2022

- added content warning feature
- show a pinpoint on OSM map
- fixed uneditable location URL when editing a status config if enabled
- updated dependencies
- updated translations: thanks translators!

#### v6.1 Tuesday 10 May 2022

- added import-export feature
- fixed minor bugs
- updated dependencies
- updated translations: thanks translators!

#### v6.0 Tuesday 05 April 2022

Preview milestone release:

- added preview page before uploading
- fixed minor bugs
- updated dependencies
- updated translations: thanks translators!

#### v5.3 Tuesday 01 March 2022

- added intro to help new users
- improved accounts list page
- improved status configurations list page
- improved handle of account name
- updated translations: thanks translators!

#### v5.2 Tuesday 08 February 2022

- added copy status configuration function
- improved status configurations list page
- updated dependencies
- updated translations: thanks translators!

#### v5.1 Tuesday 25 January 2022

- added language selector
- updated dependencies
- updated translations: thanks translators!

#### v5.0 Tuesday 21 December 2021

New UI milestone release:

- totally new UI (#12)
- translations overhaul
- suggestions for date format (#54)
- possibility to add multiple account from same instance (#21)

#### v4.2 Tuesday 30 November 2021

Bugfixes and translations update:

- improved permissions dialog in Android versions up to 10
- added dutch translation

#### v4.1 Tuesday 16 November 2021

Bugfixes and translations update:

* changed default behaviour for store the photos (#51)
* removed unused location permission (#20)
* updated translations: thanks translators!

#### v4.0 Thursday 4 November 2021

Lots of improvements and bugfixes in this milestone release:

* Fallback to first account added when deleting the (2nd or more) active account (#29)
* Fallback to first status config added when deleting the (2nd or more) active status config
* App will now mandate you to create a status config if there is no one (#37)
* Mitigation of the crashes when entering a wrong fediverse instance domain name (#35)
* Changed app description to warn if someone not using the standard android camera app (#41)

#### v3.9 Thursday 14 October 2021

Small improvements and bugfixes in this release:

* Fixed app name and updated screenshots for F-Droid (#15 and #17)
* Info button in menu now points to our page (#24)
* Location is no more posted if GPS location format is blank (#30)
* Solved some crashy situations
* Other minor bugfixes (#18 and others not even listed)


#### v3.8 Tuesday 5 October 2021

Big rework under the hood! If you have installed a version before this you need to uninstall it.
* Implemented a proper db instead of json files (issue #13)

Fixes:
* Fix for Media Storage fix not working on language different from en-us (issue #14)
* Some fixes to make clearer to add status configuration and accounts (issues #2 and #10)
* Account-Status configuration not shown (issue #8)
* Profile set as active even without check the mark (issue #11)
* Photos posted with wrong account (issue #7)

#### v3.7 Tuesday 28 September 2021

* Fixed the storage issues on Android 10+

* Changed user agent

#### v3.6 Monday 27 September 2021

* First release of this fork!

* Changed logos, colours and package names.

* Updated some libraries versions.



## FediPhoto Changelog

#### v3.5 Saturday November 7, 2020

* Do not set content-length on POST. The length was incorrect when unicode characters are present. Length is set by the API anyway. <a href='https://github.com/pla1/FediPhoto/issues/18'>Issue 18</a>. Emoji characters in status configs work now.

#### v3.4 Monday September 7, 2020

* Changed default Open Street Map URL to avoid redirects which appear to cause the <a href='https://git.pleroma.social/pleroma/pleroma/-/issues/2119'>Pleroma preview method to choose random languages.</a>

* Added Status Config menu option to test the date format.

* Added Status Config menu option to test the GPS coordinates format.

* Changed the Status text field to be multiline.

* Wrapped the Config Status view in scroll view in case the status text is long and using a low resolution device.

* Bumped targetSdkVersion from 28 to 29.

* Bumped dependencies versions to the latest for constraintlayout, runner, and espresso-core.

* Removed key listener on the date format. Use the new Status Config menu option to test the date format.

#### v3.3 Saturday August 15, 2020

* gl & es strings localized by <a href='https://github.com/xmgz'>xmgz</a>.

#### v3.2 Saturday August 15, 2020

* Added threading. <a href='https://github.com/pla1/FediPhoto/issues/14'>Issue 14</a>

* Added padding around text. <a href='https://github.com/pla1/FediPhoto/issues/15'>Issue 15</a>

#### v3.1 Friday July 3, 2020

* Replaced icon with new design by <a href="https://github.com/silkevicious">Sylke Vicious</a>.

* Updated Italian translation by <a href="https://github.com/silkevicious">Sylke Vicious</a>.

#### v3.0 Wednesday July 1, 2020

* Allow app to be installed on external storage.

* Few more strings localized by <a href='https://github.com/xmgz'>xmgz</a>.

#### v2.9 Monday June 22, 2020

* Added missing entries from strings.xml

#### v2.8 Thursday June 18, 2020

* Added Euskera localization by <a href="https://pleroma.libretux.com/users/izaro">Izaro</a>

#### v2.7 Wednesday June 17, 2020

* Added Italian localization by <a href="https://github.com/silkevicious">Sylke Vicious</a>

* Added Catalan localization by <a href="https://github.com/splacat">spla</a>

#### v2.6 Sunday June 14, 2020

* Fixed posting to PixelFed.

* Fixed bugs relating to visibility.

* Added prompt to delete workers if they are over a day old.

#### v2.5 Saturday June 13, 2020

* Forgot to commit version bump for tagged release.

#### v2.4 June 13, 2020

* Added Galician and Spanish localization by <a href="https://github.com/xmgz">xmgz</a>.

* README updated

#### v2.2 June 5, 2020

* Use Locale.US when formatting GPS coordinates into the map URL. This will prevent some languages from using a comma instead of a period for the decimal place.

#### v2.1 November 29, 2019

* Changed the default mapping URL from Google Maps to Open Street Map (OSM).

#### v2.0 September 15, 2019

* Add location permission to manifest. Needed to get the GPS coordinates from the photo Exif interface.

#### v1.9 September 15, 2019

* Changed string format for GPS coordinates to float so you can control the number of decimal places.

#### v1.8 August 8, 2019

* Fix visibility of worker classes.

#### v1.7 August 18, 2019

* Fixed some code issues that the inspection tool listed.

* Added About menu item that sends the user to <a href="https://fediphoto.com">https://fediphoto.com</a>

* Changed photo file name prefix from Fedi_Photo_ to just photo_.

* Send notification before the photo is moved, copied, or deleted.

#### v1.6 August 8, 2019

* Added fastlane directory structure to assist F-Droid builds.

#### v1.5 August 6, 2019

* Handle deleting last account and last status without crashing app.

#### v1.5a August 4, 2019

* Add notifications

* Use WorkManager chaining to ensure photo is uploaded and post is made regardless of network conditions
